Multiple intergrations / addons not working

Hi all,
just started a few days ago with Home Assistant and have been adding and using multiple intergrations and addons without problems.

now all of a sudden multiple intergrations / addons are not working anymore.
ZHA, SONOS and maybe more.

could someone tell me what is going on and how I can fix this?

i’m running it on a RPI2b.

my log:

2021-12-29 22:59:20 WARNING (Recorder) [homeassistant.components.recorder.util] The system could not validate that the sqlite3 database at //config/home-assistant_v2.db was shutdown cleanly

2021-12-29 22:59:21 WARNING (Recorder) [homeassistant.components.recorder.util] Ended unfinished session (id=14 from 2021-12-29 21:30:48.052216)

2021-12-29 22:59:31 WARNING (MainThread) [homeassistant.components.hassio] Can't read Supervisor data: Container addon_a0d7b954_ftp is not running

2021-12-29 22:59:45 WARNING (MainThread) [homeassistant.setup] Setup of input_datetime is taking over 10 seconds.

2021-12-29 22:59:45 WARNING (MainThread) [homeassistant.setup] Setup of counter is taking over 10 seconds.

2021-12-29 22:59:45 WARNING (MainThread) [homeassistant.setup] Setup of input_number is taking over 10 seconds.

2021-12-29 22:59:45 WARNING (MainThread) [homeassistant.setup] Setup of timer is taking over 10 seconds.

2021-12-29 22:59:45 WARNING (MainThread) [homeassistant.setup] Setup of input_text is taking over 10 seconds.

2021-12-29 22:59:45 WARNING (MainThread) [homeassistant.setup] Setup of tag is taking over 10 seconds.

2021-12-29 22:59:45 WARNING (MainThread) [homeassistant.setup] Setup of input_select is taking over 10 seconds.

2021-12-29 22:59:45 WARNING (MainThread) [homeassistant.setup] Setup of input_boolean is taking over 10 seconds.

2021-12-29 22:59:45 WARNING (MainThread) [homeassistant.setup] Setup of zone is taking over 10 seconds.

2021-12-29 22:59:45 ERROR (MainThread) [homeassistant.components.hassio.handler] Timeout on /addons/a0d7b954_zwavejs2mqtt/stats request

2021-12-29 22:59:45 ERROR (MainThread) [homeassistant.components.hassio.handler] Timeout on /addons/core_zwave_js/stats request

2021-12-29 22:59:52 WARNING (MainThread) [homeassistant.config_entries] Config entry 'HL-L2350DW E78252J0N840558' for brother integration not ready yet: Bad IPv4/UDP transport address BRW1CBFC0F3D859.local@161: [Errno -2] Name does not resolvecaused by <class 'socket.gaierror'>: [Errno -2] Name does not resolve; Retrying in background

2021-12-29 23:00:02 WARNING (MainThread) [homeassistant.components.switch] Setup of switch platform rfxtrx is taking over 10 seconds.

2021-12-29 23:00:02 WARNING (MainThread) [homeassistant.setup] Setup of automation is taking over 10 seconds.

2021-12-29 23:00:05 ERROR (MainThread) [homeassistant.components.zwave_js] Failed to connect:

2021-12-29 23:00:05 WARNING (MainThread) [homeassistant.config_entries] Config entry 'Z-Wave JS' for zwave_js integration not ready yet; Retrying in background

2021-12-29 23:00:13 ERROR (MainThread) [homeassistant.components.device_tracker] The see service is not supported for this entity device_tracker.iphone_van_milou

2021-12-29 23:00:19 WARNING (MainThread) [zigpy_znp.zigbee.application] Your network is using the insecure Zigbee2MQTT network key!

2021-12-29 23:00:41 ERROR (MainThread) [homeassistant] Error doing job: Task exception was never retrieved

Traceback (most recent call last):

File "/usr/src/homeassistant/homeassistant/components/sonos/__init__.py", line 253, in _async_create_discovered_player

await self.hass.async_add_executor_job(

asyncio.exceptions.TimeoutError

2021-12-29 23:00:48 ERROR (MainThread) [homeassistant.components.device_tracker] The see service is not supported for this entity device_tracker.iphone_van_milou

2021-12-29 23:01:02 ERROR (MainThread) [homeassistant.components.device_tracker] The see service is not supported for this entity device_tracker.iphone_van_milou

2021-12-29 23:01:10 WARNING (MainThread) [homeassistant.components.zha.core.channels.base] [0xAC23:1:0x0006]: async_initialize: all attempts have failed: [TimeoutError(), TimeoutError(), TimeoutError(), TimeoutError()]

2021-12-29 23:01:11 WARNING (MainThread) [homeassistant.components.zha.core.channels.base] [0xAC23:1:0x0008]: async_initialize: all attempts have failed: [TimeoutError(), TimeoutError(), TimeoutError(), TimeoutError()]

2021-12-29 23:01:12 WARNING (MainThread) [homeassistant.components.zha.core.channels.base] [0x4FAF:1:0x0006]: async_initialize: all attempts have failed: [TimeoutError(), TimeoutError(), TimeoutError(), TimeoutError()]

2021-12-29 23:01:17 ERROR (MainThread) [homeassistant.components.device_tracker] The see service is not supported for this entity device_tracker.iphone_van_milou

2021-12-29 23:01:35 ERROR (MainThread) [homeassistant] Error doing job: Task exception was never retrieved

Traceback (most recent call last):

File "/usr/local/lib/python3.9/site-packages/zigpy_znp/api.py", line 865, in request_callback_rsp

await self.request(request, **response_params)

File "/usr/local/lib/python3.9/site-packages/zigpy_znp/api.py", line 826, in request

response = await response_future

asyncio.exceptions.CancelledError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):

File "/usr/local/lib/python3.9/site-packages/zigpy_znp/api.py", line 867, in request_callback_rsp

return await callback_rsp

File "/usr/local/lib/python3.9/site-packages/async_timeout/__init__.py", line 128, in __aexit__

self._do_exit(exc_type)

File "/usr/local/lib/python3.9/site-packages/async_timeout/__init__.py", line 203, in _do_exit

raise asyncio.TimeoutError

asyncio.exceptions.TimeoutError

2021-12-29 23:01:35 ERROR (MainThread) [homeassistant] Error doing job: Task exception was never retrieved

Traceback (most recent call last):

File "/usr/local/lib/python3.9/site-packages/zigpy_znp/api.py", line 826, in request

response = await response_future

asyncio.exceptions.CancelledError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):

File "/usr/local/lib/python3.9/site-packages/zigpy_znp/api.py", line 865, in request_callback_rsp

await self.request(request, **response_params)

File "/usr/local/lib/python3.9/site-packages/zigpy_znp/api.py", line 826, in request

response = await response_future

File "/usr/local/lib/python3.9/site-packages/async_timeout/__init__.py", line 128, in __aexit__

self._do_exit(exc_type)

File "/usr/local/lib/python3.9/site-packages/async_timeout/__init__.py", line 203, in _do_exit

raise asyncio.TimeoutError

asyncio.exceptions.TimeoutError

2021-12-29 23:01:35 ERROR (MainThread) [homeassistant] Error doing job: Task exception was never retrieve

HA requires a Pi 3 or higher.

Thank you for the reply,

I came from domoticz and I wanted to test Home Assistant on the RPI 2B, all worked well until it didn’t.

Just bought a Intel NUC Kit D34010WYK with 4GB ram and 120GB SSD. That should be powerful enough I think.

1 Like

I am just completing the final stages of moving back here from openHAB. and I think you will be pleased with your move.

For all its flaws, I think the HA project is currently the open source leader for smart home systems. I just hope Nabu Casa does not get bought out by a big corporation.

It has been working good for a while. But for the last few days I have issues with ZHA. All ZigBee device can’t be controlled only for a short period when I restart HA. . I know there are a lot of topic about this last year but I can’t really find the solution.

'Logger: homeassistant
Source: /usr/src/homeassistant/homeassistant/runner.py:98
First occurred: 07:49:10 (1 occurrences)
Last logged: 07:49:10

Error doing job: Task exception was never retrieved
Traceback (most recent call last):
File “/usr/local/lib/python3.9/site-packages/zigpy_znp/api.py”, line 865, in request_callback_rsp
await self.request(request, **response_params)
File “/usr/local/lib/python3.9/site-packages/zigpy_znp/api.py”, line 835, in request
raise InvalidCommandResponse(
zigpy_znp.exceptions.InvalidCommandResponse: Expected SRSP response AF.DataRequestExt.Rsp(Status=<Status.SUCCESS: 0>), got AF.DataRequestExt.Rsp(Status=<Status.INVALID_PARAMETER: 2>)’